## org.apache.batik.anim
Class AnimationEngine.Listener

    java.lang.Object
      org.apache.batik.anim.AnimationEngine.Listener

All Implemented Interfaces:
  AnimationTargetListener

Enclosing class:
  AnimationEngine

    protected class AnimationEngine.Listener

extends java.lang.Object
implements AnimationTargetListener

Listener class for changes to base values on a target element.

Constructor Summary
`protected` `AnimationEngine.Listener()`

Method Summary
`void` `baseValueChanged(AnimationTarget t, java.lang.String ns, java.lang.String ln, boolean isCSS)` Invoked to indicate that base value of the specified attribute or property has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimationEngine.Listener

    protected AnimationEngine.Listener()

Method Detail

### baseValueChanged

    public void baseValueChanged(AnimationTarget t,
                                 java.lang.String ns,
                                 java.lang.String ln,
                                 boolean isCSS)

  Invoked to indicate that base value of the specified attribute or property has changed.

  Specified by:
    `baseValueChanged` in interface `AnimationTargetListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.